ExtendedFilter (marc4j)
Keywords: org.marc4j.marcxml.ExtendedFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.marc4j.marcxml
Class ExtendedFilter

    java.lang.Object
      org.xml.sax.helpers.XMLFilterImpl
          org.marc4j.marcxml.ExtendedFilter

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler, LexicalHandler, XMLFilter, XMLReader

Direct Known Subclasses:
  MarcXmlFilter

public class ExtendedFilter
extends XMLFilterImpl
implements LexicalHandler

`ExtendedFilter` extends `XMLFilterImpl` with an implementation of the `LexicalHandler` interface.

Version:
  $Revision: 1.4 $
Author:
  Bas Peters

Field Summary
`LexicalHandler` | `lh` the lexical handler object

Constructor Summary
`ExtendedFilter()`

Method Summary
`void` | `comment(char[] ch, int start, int length)`
`void` | `endCDATA()`
`void` | `endDTD()`
`void` | `endEntity(String name)`
`void` | `setProperty(String uri, Object obj)` Sets the object for the given property.
`void` | `startCDATA()`
`void` | `startDTD(String name, String publicId, String systemId)`
`void` | `startEntity(String name)`

Methods inherited from class org.xml.sax.helpers.XMLFilterImpl
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, parse, parse, processingInstruction, resolveEntity, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lh

    public LexicalHandler lh

  the lexical handler object

Constructor Detail

### ExtendedFilter

    public ExtendedFilter()

Method Detail

### setProperty

    public void setProperty(String uri,
                            Object obj)
                     throws SAXNotRecognizedException,
                            SAXNotSupportedException

  Sets the object for the given property.

  Specified by:
    `setProperty` in interface `XMLReader`
  Parameters:
    `uri` - the property name
    `obj` - the property object
  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`

### startEntity

    public void startEntity(String name)
                     throws SAXException

  Specified by:
    `startEntity` in interface `LexicalHandler`
  Throws:
    `SAXException`

### endEntity

    public void endEntity(String name)
                   throws SAXException

  Specified by:
    `endEntity` in interface `LexicalHandler`
  Throws:
    `SAXException`

### startCDATA

    public void startCDATA()
                    throws SAXException

  Specified by:
    `startCDATA` in interface `LexicalHandler`
  Throws:
    `SAXException`

### endCDATA

    public void endCDATA()
                  throws SAXException

  Specified by:
    `endCDATA` in interface `LexicalHandler`
  Throws:
    `SAXException`

### startDTD

    public void startDTD(String name,
                         String publicId,
                         String systemId)
                  throws SAXException

  Specified by:
    `startDTD` in interface `LexicalHandler`
  Throws:
    `SAXException`

### endDTD

    public void endDTD()
                throws SAXException

  Specified by:
    `endDTD` in interface `LexicalHandler`
  Throws:
    `SAXException`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws SAXException

  Specified by:
    `comment` in interface `LexicalHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Bas Peters. All Rights Reserved.